Plume API
Fun

/color

Get info about a color

GET
/color

Query Parameters

hex?string

A valid hexadecimal color (without the #)

Match^[A-Fa-f0-9]{6}$
Length6 <= length <= 6

Response Body

application/json

application/json

application/json

curl -X GET "https://plume.sodiumlabs.xyz/api/color"
{
  "rgb": {
    "r": 0,
    "g": 0,
    "b": 0,
    "value": "string"
  },
  "hsl": {
    "h": 0,
    "s": 0,
    "l": 0,
    "value": "string"
  },
  "hsv": {
    "h": 0,
    "s": 0,
    "v": 0,
    "value": "string"
  },
  "cmyk": {
    "c": 0,
    "m": 0,
    "y": 0,
    "k": 0,
    "value": "string"
  },
  "name": "string",
  "hex": {
    "value": "string",
    "clean": "string"
  },
  "int": 0,
  "url": "string"
}
{
  "message": "string",
  "errors": [
    {
      "message": "string"
    }
  ]
}
{
  "message": "string"
}